Manuel PHP
Précédent |  | Suivant

# XMLReader::open

(no version information, might be only in CVS)

XMLReader::open -- Fixe le URI contenant le XML à analyser

## Description

class XMLReader {
bool open ( string URI [, string encoding [, int options]] )
}

Fixe le URI contenant le document XML à être analysé.

## Liste de paramètres

`URI`

  URI pointant vers le document.

`encoding`

  L'encodae du document, ou `NULL`.

`options`

  Un masque de constante d'options XMLReader.

## Historique

Version | Description
--- | ---
5.2.0 | Les paramètres `encoding` et `options` ont été ajoutés.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Voir aussi

XMLReader::XML
XMLReader::close

Précédent | Sommaire | Suivant
XMLReader::next | Niveau supérieur | XMLReader::read